// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const { ccclass, property } = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {

    @property(cc.Node)
    btn: cc.Node = null;

    // LIFE-CYCLE CALLBACKS:

    onLoad() {
        this.btn.on('click', this.onClick, this);
    }

    onClick() {
        cc.resources.preload('prefab', cc.Prefab);
    }

    // update (dt) {}
}
